org.springframework.data.convert

## Enum ReflectionEntityInstantiator

- java.lang.Object
- - java.lang.Enum<ReflectionEntityInstantiator>
  - - org.springframework.data.convert.ReflectionEntityInstantiator

All Implemented Interfaces:
  Serializable, Comparable<ReflectionEntityInstantiator>, EntityInstantiator

Deprecated.
since 2.3, use `ReflectionEntityInstantiator` instead.

    public enum ReflectionEntityInstantiator
    extends Enum<ReflectionEntityInstantiator>
    implements EntityInstantiator

`EntityInstantiator` that uses the `PersistentEntity`'s `PreferredConstructor` to instantiate an instance of the entity via reflection.

Author:
  Oliver Gierke, Mark Paluch

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`INSTANCE` Deprecated.

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
`<T,E extends PersistentEntity<? extends T,P>,P extends PersistentProperty<P>> T` `createInstance(E entity, ParameterValueProvider<P> provider)` Deprecated. Creates a new instance of the given entity using the given source to pull data from.
`static ReflectionEntityInstantiator` `valueOf(String name)` Deprecated. Returns the enum constant of this type with the specified name.
`static ReflectionEntityInstantiator[]` `values()` Deprecated. Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### INSTANCE

    public static final ReflectionEntityInstantiator INSTANCE

Deprecated.

### Method Detail

#### values

    public static ReflectionEntityInstantiator[] values()

Deprecated.
Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (ReflectionEntityInstantiator c : ReflectionEntityInstantiator.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static ReflectionEntityInstantiator valueOf(String name)

Deprecated.
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### createInstance

    public <T,E extends PersistentEntity<? extends T,P>,P extends PersistentProperty<P>> T createInstance(E entity,
                                                                                                          ParameterValueProvider<P> provider)

Deprecated.
Description copied from interface: `EntityInstantiator`
Creates a new instance of the given entity using the given source to pull data from.

Specified by:
  `createInstance` in interface `EntityInstantiator`
Parameters:
  `entity` - will not be null.
  `provider` - will not be null.
Returns: